#include "config.h"

#include <stdio.h>
#include <stdlib.h>

#ifdef USE_NLLIBC
#include <nllibc.h>
#endif

#include "const.h"
#include "image.h"
#include "charset.h"

extern int chara64x64_bitmap[];

struct charset chara64x64 = {
  64, 64, 9, chara64x64_bitmap, IMAGE_TYPE_FULLCOLOR, IMAGE_FLAG_STATIC
};

#define T -1       /* transparent */
#define N 0x000000 /* black */
#define B 0x0000FF /* blue */
#define G 0x00FF00 /* green */
#define C 0x00FFFF /* cyan */
#define R 0xFF0000 /* red */
#define M 0xFF00FF /* magenta */
#define Y 0xFFFF00 /* yellow */
#define W 0xFFFFFF /* white */

#define P 0xFF8080 /* pink */
#define D 0x800000 /* brown */
#define O 0xFFFF80 /* orange */
#define S 0xFFC0C0 /* skin */

int chara64x64_bitmap[] = {
  /* nlkun */
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,T,T,T,T,T,T,T,
  T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,
  T,T,T,T,T,D,D,D,D,D,P,P,P,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,P,P,D,D,D,D,T,T,T,T,T,T,
  T,T,T,T,T,D,D,D,D,D,P,P,P,P,D,D,D,D,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,D,D,P,P,P,P,P,D,D,D,T,T,T,T,T,T,
  T,T,T,T,T,T,D,D,D,P,P,P,P,P,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,P,P,P,P,P,P,P,D,D,T,T,T,T,T,T,
  T,T,T,T,T,T,D,D,D,P,P,P,P,P,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,P,P,P,P,P,P,P,D,D,T,T,T,T,T,T,
  T,T,T,T,T,T,D,D,D,P,P,P,P,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,P,P,P,P,P,P,D,D,D,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,D,D,P,P,P,P,D,D,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,P,P,P,P,P,P,D,D,D,D,T,T,T,T,T,
  T,T,T,T,T,T,T,T,D,D,D,D,P,D,D,D,N,N,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,D,D,D,D,D,D,P,P,P,P,P,P,D,D,D,D,T,T,T,T,T,
  T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,N,N,N,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,D,D,D,D,D,D,D,D,D,P,P,D,D,D,D,D,T,T,T,T,T,
  T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,N,N,W,N,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,W,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,
  T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,
  T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,N,N,W,N,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,
  T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,P,N,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,W,N,P,N,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,
  T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,N,P,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,P,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,
  T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,N,W,N,N,W,N,N,D,D,D,D,N,N,N,N,D,D,D,D,D,D,N,N,N,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,
  T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,N,W,W,N,N,N,D,D,D,N,P,P,N,P,N,D,D,D,D,D,D,N,W,N,N,W,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,
  T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,N,D,D,D,D,D,N,P,N,P,P,N,D,D,D,D,D,D,D,N,W,W,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,
  T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,P,N,N,P,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,
  T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,N,D,D,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,
  T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,
  T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,D,D,N,D,D,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,G,G,P,P,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,P,P,P,P,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,P,P,P,P,P,P,P,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,P,P,P,P,P,P,P,D,D,D,D,D,D,D,D,N,N,N,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,P,P,P,P,P,P,P,P,D,D,D,D,D,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,P,P,P,P,P,P,P,P,D,D,D,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,P,P,P,P,P,P,P,P,P,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,G,P,P,P,P,P,P,P,P,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,Y,Y,Y,P,P,P,P,P,P,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,Y,Y,Y,P,P,P,P,P,P,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,G,G,G,P,P,P,P,P,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,G,G,G,G,G,G,G,G,G,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,G,G,G,G,G,G,G,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,G,G,G,G,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,

  /* boykun */
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,R,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,R,R,R,R,R,R,R,R,R,R,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,R,R,R,R,R,R,R,R,R,R,R,R,R,S,R,S,R,S,R,R,R,R,R,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,R,R,R,R,R,R,R,R,R,R,R,R,S,S,S,S,S,S,S,S,R,R,R,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,R,R,R,R,R,R,R,R,R,R,R,R,C,C,C,C,C,C,C,S,S,R,R,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,R,R,R,R,R,R,R,R,R,R,R,C,C,G,G,G,W,W,C,C,S,S,S,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,R,R,R,R,R,R,R,R,R,C,C,C,G,W,W,W,G,W,W,C,C,S,S,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,R,R,R,R,R,R,R,R,R,C,C,C,G,W,W,W,G,W,W,C,C,S,S,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,R,R,R,R,R,R,R,R,R,C,C,C,G,G,G,G,G,W,W,C,C,C,C,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,R,R,R,R,R,R,R,R,C,C,C,C,G,G,G,G,G,W,W,C,C,C,C,C,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,R,R,R,R,R,R,R,R,R,S,S,S,C,G,G,G,G,G,W,W,C,C,S,S,S,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,R,R,R,R,R,R,R,R,R,S,S,S,S,C,G,G,G,W,W,C,C,S,S,S,S,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,S,S,S,S,S,C,C,C,C,C,C,S,S,S,S,S,R,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,R,N,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,S,N,S,S,S,N,S,S,S,S,S,S,S,S,S,S,S,B,N,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,S,S,S,N,N,N,S,S,S,S,S,S,S,S,S,B,B,B,N,N,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,S,S,S,S,S,S,S,S,S,S,S,S,S,B,B,B,B,B,N,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,S,S,S,S,S,S,S,S,S,S,S,S,S,S,B,B,B,B,B,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,S,S,S,S,S,S,S,S,S,S,S,S,S,S,B,B,B,B,B,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,B,B,B,S,S,S,S,B,B,B,B,B,B,B,B,B,B,B,B,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,N,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,N,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,N,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,N,N,N,N,N,N,N,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,N,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,T,T,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,T,T,T,T,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,T,T,T,T,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,T,T,T,T,T,T,B,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,T,T,T,T,T,T,T,T,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,T,T,T,T,T,T,T,T,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,T,T,T,T,T,T,T,T,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,T,T,T,T,T,T,T,T,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,T,T,T,T,T,T,T,T,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,

  /* nssensei */
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,S,S,N,N,S,S,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,S,S,S,N,S,S,S,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,S,S,S,S,S,S,S,S,S,S,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,S,S,S,S,S,S,S,S,S,S,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,S,S,S,N,N,N,N,S,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,W,W,W,W,N,N,N,N,N,N,S,S,N,W,W,W,W,N,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,S,S,N,W,W,W,W,N,N,N,N,N,N,N,S,N,W,W,W,W,N,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,S,S,N,N,N,N,N,N,S,S,S,N,N,N,S,N,N,N,N,N,N,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,S,S,N,Y,Y,Y,Y,N,S,S,S,S,N,N,S,N,G,G,G,G,N,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,S,S,N,Y,Y,Y,Y,N,S,S,S,S,S,S,S,N,G,G,G,G,N,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,S,S,S,N,N,N,N,S,S,S,S,S,S,S,S,S,N,N,N,N,S,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,S,S,S,S,S,S,S,S,S,S,S,N,S,S,S,S,S,N,S,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,S,S,S,S,S,S,S,S,S,S,N,N,N,N,N,N,N,S,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,S,S,D,D,S,S,S,S,S,S,D,D,S,S,T,T,T,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,S,D,D,D,S,S,S,S,D,D,D,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,D,D,D,D,D,D,D,D,D,D,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,D,D,N,N,N,N,N,N,D,D,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,Y,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,Y,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,Y,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,T,T,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,T,T,T,T,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,S,S,S,S,S,S,S,T,T,T,T,T,T,S,S,S,S,S,S,S,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,N,N,G,G,N,T,T,T,T,T,T,T,S,S,S,S,S,S,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,G,G,G,G,G,G,N,T,T,T,T,T,T,T,S,R,R,N,N,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,G,G,N,N,G,G,N,N,T,T,T,T,T,T,N,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,N,R,R,N,N,R,R,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,

  /* paichan */
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,T,P,P,P,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,P,P,P,P,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,P,P,P,P,P,P,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,P,P,P,P,P,P,P,R,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,P,P,P,P,P,P,R,R,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,P,P,P,P,P,R,R,D,D,Y,Y,Y,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,P,P,P,P,R,R,D,D,Y,Y,Y,Y,Y,Y,Y,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,P,P,P,R,R,D,D,Y,Y,Y,Y,Y,Y,Y,Y,Y,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,P,P,R,R,D,D,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,R,R,D,D,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,D,D,Y,N,N,N,Y,Y,Y,N,N,N,Y,Y,Y,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,Y,Y,S,S,S,S,Y,S,S,S,S,Y,Y,Y,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,Y,Y,Y,S,N,N,N,S,S,S,N,N,N,S,Y,Y,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,Y,Y,Y,S,N,W,N,S,S,S,N,W,N,S,Y,Y,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,T,T,T,T,Y,Y,Y,S,N,N,N,S,S,S,N,N,N,S,Y,Y,Y,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,B,B,D,D,D,D,T,T,T,Y,Y,S,S,N,P,N,S,S,S,N,P,N,S,S,Y,Y,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,B,B,B,D,G,D,D,T,T,Y,Y,S,S,N,N,N,S,S,S,N,N,N,S,S,Y,Y,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,B,B,D,D,G,G,D,T,T,Y,Y,S,S,S,S,S,S,S,S,S,S,S,S,S,Y,Y,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,G,G,G,D,T,T,Y,Y,S,S,P,P,S,S,S,N,S,S,P,P,S,Y,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,S,D,G,D,D,T,T,Y,Y,S,S,P,P,S,S,S,D,S,S,P,P,S,Y,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,D,D,R,R,D,S,D,D,D,T,T,T,T,T,S,S,S,S,S,S,S,S,S,S,S,S,S,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,D,D,R,R,S,S,D,D,T,T,T,T,T,T,T,S,S,S,S,S,S,S,S,S,S,S,T,T,W,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,D,D,R,D,D,D,D,S,S,T,T,T,T,T,T,T,T,T,S,S,S,S,T,T,T,T,T,W,W,W,W,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,S,S,S,N,N,N,N,N,N,N,N,N,W,W,W,W,N,N,N,T,W,W,W,W,P,P,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,W,S,S,N,N,W,W,W,W,W,W,W,W,W,W,W,W,W,W,N,N,W,W,W,P,P,P,P,W,W,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,W,S,N,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,N,W,W,P,P,P,P,W,W,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,W,W,N,W,W,W,W,W,W,W,W,W,W,W,W,G,G,W,W,W,W,N,N,W,W,P,P,W,W,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,W,W,N,W,W,W,W,W,W,W,W,W,W,W,G,G,G,G,W,W,W,N,N,W,W,W,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,W,W,N,W,W,W,W,W,W,W,W,W,W,W,G,G,G,G,W,W,W,N,N,N,W,W,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,W,N,N,N,N,W,W,W,W,W,W,W,W,W,G,G,W,W,W,W,N,W,N,W,W,W,W,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,G,G,G,G,N,N,W,W,W,R,R,W,W,W,W,W,W,W,W,W,N,W,N,W,Y,Y,Y,Y,W,W,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,W,W,W,G,G,G,G,W,N,W,W,R,R,R,R,W,W,W,W,W,W,W,W,N,W,N,Y,Y,Y,Y,Y,Y,W,W,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,W,W,G,G,R,R,R,N,N,W,R,R,R,R,R,W,W,W,W,W,W,W,N,N,N,Y,D,D,D,Y,Y,W,W,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,W,G,R,R,R,R,W,N,W,W,R,R,R,R,W,W,W,W,W,W,W,W,N,W,D,D,D,D,D,D,W,W,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,W,W,R,R,B,B,W,N,W,W,R,R,W,W,W,W,W,W,W,W,W,W,N,W,D,D,D,D,D,D,W,W,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,R,R,B,B,W,N,W,W,W,W,W,W,W,W,B,W,W,W,W,W,N,W,D,D,D,D,D,D,W,W,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,W,W,W,B,B,N,N,W,W,W,W,W,W,W,B,B,B,W,W,W,W,N,W,W,D,D,D,D,W,W,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,W,W,W,W,W,B,B,N,W,W,W,W,W,W,W,W,B,B,B,W,W,N,N,N,W,W,W,W,W,W,W,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,W,W,W,W,W,W,B,W,N,W,W,W,W,W,W,W,B,B,B,B,W,W,N,T,W,W,W,W,W,W,W,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,W,W,W,W,W,W,W,W,N,W,W,W,W,W,W,W,B,B,B,W,W,W,N,T,T,W,W,W,W,W,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,W,W,W,W,W,W,W,W,N,W,W,W,W,W,W,W,W,W,W,W,W,N,N,T,T,T,W,W,W,W,W,W,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,W,W,W,W,W,W,W,N,W,W,W,W,W,W,W,W,W,W,W,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,W,W,W,W,W,W,N,W,W,N,N,N,W,W,N,N,N,W,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,W,W,W,W,N,N,N,N,T,N,N,N,N,T,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,W,W,W,T,T,T,T,T,S,S,T,T,T,S,S,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,W,W,W,W,W,T,T,T,T,T,T,S,S,T,T,T,S,S,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,T,T,T,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,S,S,T,T,T,S,S,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,S,T,T,T,S,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,C,S,P,P,P,T,P,P,P,S,C,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,C,C,S,C,C,T,C,C,S,C,C,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,C,C,C,T,T,T,C,C,C,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,

  /* ntsensei */
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,M,P,G,P,R,R,R,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,M,M,P,G,P,R,R,R,P,P,R,R,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,M,P,P,G,P,R,R,R,P,P,R,R,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,M,M,P,G,G,P,R,R,R,P,P,R,R,P,P,P,P,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,M,P,P,G,P,P,R,R,R,P,P,R,R,M,M,M,P,P,P,T,T,T,T,T,T,T,N,N,S,S,S,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,P,P,M,M,P,G,G,P,P,R,R,R,P,P,S,S,M,P,M,M,P,P,P,T,T,T,T,T,T,N,S,S,S,S,S,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,P,P,M,P,P,G,P,P,R,R,R,R,P,P,S,S,M,P,P,M,P,P,P,T,T,T,T,T,T,N,S,S,S,S,S,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,P,P,M,P,P,G,P,P,R,R,R,R,P,P,S,S,M,M,M,M,P,P,P,P,T,T,T,T,T,N,N,S,S,S,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,P,P,M,P,P,G,P,P,R,R,R,R,P,P,S,S,S,S,P,P,P,P,P,P,T,T,T,T,N,S,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,P,P,M,P,P,G,P,P,R,R,R,R,S,S,S,S,S,G,G,G,G,P,P,P,T,T,T,N,S,S,S,S,S,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,P,P,M,S,S,S,S,S,N,N,S,S,S,S,S,S,G,G,P,P,G,G,P,P,T,T,T,P,P,S,S,S,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,P,P,M,S,S,S,S,N,W,W,N,S,S,S,S,N,N,G,G,G,G,P,P,P,T,T,P,P,P,P,S,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,P,P,M,S,S,S,S,N,N,N,N,S,S,S,N,N,S,S,S,S,S,P,P,P,T,P,P,P,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,P,P,M,S,S,S,S,N,M,M,N,S,S,S,N,S,S,S,S,S,S,S,P,P,P,P,P,P,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,P,P,M,S,S,S,S,S,N,N,S,S,N,S,S,S,S,S,S,S,S,S,P,P,P,P,P,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,P,P,M,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,P,P,P,P,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,P,P,T,S,S,S,S,S,S,S,N,S,S,S,N,S,S,S,S,S,S,S,P,P,P,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,S,S,S,S,S,S,S,S,N,N,N,S,S,S,S,S,S,S,S,W,P,P,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,W,W,P,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,S,S,S,S,S,S,S,S,S,S,S,S,S,W,W,W,W,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,P,P,P,P,P,P,Y,W,W,W,W,W,W,W,W,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,P,P,N,P,P,P,P,P,P,N,W,W,W,W,W,W,W,W,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,P,P,P,N,P,P,P,P,P,P,N,W,W,W,W,W,W,W,W,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,P,P,P,N,P,P,P,P,P,P,N,W,W,W,W,W,W,W,W,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,P,P,N,N,N,P,P,P,P,P,P,N,W,W,W,W,W,W,W,W,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,P,P,N,T,N,P,P,P,P,P,P,N,W,W,W,W,W,W,W,W,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,P,P,N,T,N,P,P,P,P,P,P,N,W,W,W,W,W,W,W,W,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,P,P,N,T,N,P,P,P,P,P,P,N,W,W,W,W,W,W,W,W,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,P,P,N,N,N,P,P,P,P,P,P,N,W,W,W,W,W,W,W,W,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,P,P,P,N,P,P,P,P,P,P,N,W,W,W,W,W,W,W,W,N,N,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,P,N,P,P,P,P,P,P,N,W,W,W,W,W,W,W,N,N,N,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,P,P,P,P,P,P,N,W,W,W,W,W,W,N,N,W,W,P,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,P,P,P,P,P,N,W,W,W,W,W,N,N,W,W,W,W,P,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,P,P,P,P,N,W,W,W,W,N,N,P,W,W,W,W,W,P,P,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,P,P,N,W,W,N,N,N,T,P,P,P,W,W,W,W,P,P,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,P,P,T,T,P,P,W,W,W,W,W,W,P,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,W,W,W,P,P,P,T,T,T,P,P,W,W,W,W,W,W,W,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,W,W,W,P,P,P,T,T,T,P,P,P,W,W,W,W,W,W,W,W,P,T,T,T,T,T,T,T,T,T,T,N,N,N,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,W,W,W,P,P,P,T,T,T,P,P,P,P,W,W,W,W,W,W,W,S,N,N,N,N,N,N,N,N,N,N,N,W,P,P,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,W,W,W,P,P,P,T,T,T,P,P,P,P,P,W,W,W,W,W,W,S,N,W,W,W,W,W,W,W,N,W,W,W,P,P,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,W,W,W,P,P,P,T,T,T,T,T,T,T,P,P,W,W,W,W,W,S,N,N,W,W,W,W,W,W,N,W,W,P,P,P,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,W,W,W,P,P,P,T,T,T,T,T,T,T,T,P,P,P,P,P,P,S,S,N,N,N,N,N,N,C,C,C,W,P,P,P,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,W,W,W,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,C,W,C,W,P,P,P,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,W,W,W,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,C,C,C,C,C,P,P,P,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,W,W,W,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,C,W,C,P,P,P,P,P,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,W,W,W,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,C,C,C,P,P,P,P,P,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,S,S,S,S,S,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,C,P,P,P,P,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,W,W,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,W,W,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,W,W,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,W,W,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,C,C,C,C,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,C,C,W,C,W,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,C,P,C,C,C,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,P,P,P,C,P,P,P,P,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,

  /* nijimasu */
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,T,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,W,W,W,W,W,R,R,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,
  T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,
  T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,R,R,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,
  T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,R,R,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,
  T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,R,W,W,W,W,W,W,W,R,R,W,W,W,W,W,W,W,R,R,R,R,R,R,
  T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,R,R,W,W,W,W,R,R,R,R,R,R,R,
  T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,R,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,R,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,R,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,

  /* nijimasu-huu */
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,T,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,
  T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,
  T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,R,R,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,
  T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,R,R,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,
  T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,R,W,W,W,W,W,W,W,R,R,W,W,W,W,W,W,W,R,R,R,R,R,R,
  T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,R,R,W,W,W,W,R,R,R,R,R,R,R,
  T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,R,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,R,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,R,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,

  /* nijimasu-x */
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,T,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,W,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,W,W,W,W,W,W,W,R,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,
  T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,
  T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,R,R,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,
  T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,R,R,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,
  T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,R,W,W,W,W,W,W,W,R,R,W,W,W,W,W,W,W,R,R,R,R,R,R,
  T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,R,R,W,W,W,W,R,R,R,R,R,R,R,
  T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,R,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,R,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,R,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,

  /* nijimasu-pun */
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,T,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,R,R,R,R,R,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,W,W,W,W,R,R,R,R,R,R,R,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,W,R,R,W,R,R,R,R,R,R,R,R,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,R,W,W,W,R,R,W,R,R,R,R,R,R,R,R,R,R,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,R,R,R,R,W,W,W,W,W,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,R,R,W,W,W,W,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,R,W,W,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,R,W,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,R,W,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,
  T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,
  T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,R,R,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,
  T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,W,R,R,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,
  T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,R,W,W,W,W,W,W,W,R,R,W,W,W,W,W,W,W,R,R,R,R,R,R,
  T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,R,R,W,W,W,W,R,R,R,R,R,R,R,
  T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,R,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,R,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,R,R,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,W,W,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,
};
